/*****
 * Copyright (c) 2024 - Poivron Robotique
 *
 * SPDX-License-Identifier: BSD-3-Clause
*/
#include "pico/stdlib.h"
#include "Teleplot.h"
#include "Temps.h"
#include <stdio.h>

void setup(void);
void loop(void);

int valeur = 1;

void main(void)
{
    setup();
	while(1){
		loop();
	}
}

void setup(void){
	stdio_init_all();
	Teleplot_init();
	Temps_init();

	// Broches des moteurs gérées en GPIO
	gpio_init(7);
	gpio_init(13);
	gpio_init(27);
	gpio_init(5);
	gpio_init(10);
	gpio_init(9);

	// Broches des moteurs en sortie
	gpio_set_dir(7, true);  // M1 Sens 1
	gpio_set_dir(13, true); // M1 Sens 2
	gpio_set_dir(27, true); // M1 Vitesse

	gpio_set_dir(5, true);  // M2 Sens 2
	gpio_set_dir(10, true); // M2 Sens 1
	gpio_set_dir(9, true);  // M2 Vitesse

	// Commande des broches
	gpio_put(7, 0);
	gpio_put(13, 1);
	gpio_put(27, 1);

	gpio_put(5, 0);
	gpio_put(10, 1);
	gpio_put(9, 1);
	
}

void loop(void){
	tight_loop_contents();
}